Bug 198187 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Feist
:
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
 
Reported: 2006-07-10 09:17 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 07:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 09:17:14 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.
Reproducer: rpm -ql <packagename>| grep lib.*so | xargs ldd -r


cman-2.0.1-0.fc6.8
undefined symbol: pthread_create        (/usr/lib/libdlm.so)
undefined symbol: pthread_cancel        (/usr/lib/libdlm.so)
undefined symbol: pthread_join  (/usr/lib/libdlm.so)
Comment 1 Chris Feist 2006-07-10 13:55:37 EDT
Verified this issue, I'm getting my fix approved with the developer.
Comment 2 Chris Feist 2006-07-10 14:34:45 EDT
This should be fixed in the latest cman package (cman-2.0.2-0.fc6.0).
Comment 3 Karsten Hopp 2006-07-12 07:29:26 EDT
looks good on i386 and x86_64. Thanks!

Note You need to log in before you can comment on or make changes to this bug.